<?php
/**
 * Plugin Name: Beaver Builder Custom Templates Example
 * Plugin URI: http://www.wpbeaverbuilder.com
 * Description: An example plugin for loading custom builder templates.
 * Version: 1.0
 * Author: The Beaver Builder Team
 * Author URI: http://www.wpbeaverbuilder.com
 */
define( 'FL_TEMPLATES_EXAMPLE_DIR', plugin_dir_path( __FILE__ ) );
define( 'FL_TEMPLATES_EXAMPLE_URL', plugins_url( '/', __FILE__ ) );
 
function fl_templates_example_load() {
	
	/**
	 * Return if the builder isn't installed or if the current
	 * version doesn't support registering templates.
	 */
	if ( ! class_exists( 'FLBuilder' ) || ! method_exists( 'FLBuilder', 'register_templates' ) ) {
		return;
	}
	
	/**
	 * Register the path to your templates.dat file.
	 */
	FLBuilder::register_templates( FL_TEMPLATES_EXAMPLE_DIR . 'data/templates.dat' );
}

add_action( 'plugins_loaded', 'fl_templates_example_load' );